FROM node:14-alpine

ENV workdir /var/prod
ENV applib /var/npm

RUN mkdir -p ${workdir} && mkdir -p ${applib}
COPY package.json ${applib}
RUN cd ${applib} && npm install
COPY . ${workdir}/
WORKDIR ${workdir}
RUN ln -s ${applib}/node_modules .

EXPOSE 3000
CMD ["npm", "start"]
